Bug 45200 - MailReaderSampler: store the whole MIME message in the SamplerResult
MailReaderSampler: store the whole MIME message in the SamplerResult
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
unspecified
PC Linux
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-06-13 07:07 UTC by Armin Häberling
Modified: 2008-06-26 19:17 UTC (History)
0 users



Attachments
Patch for the MailReaderSampler (6.68 KB, patch)
2008-06-23 08:43 UTC, Armin Häberling
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Armin Häberling 2008-06-13 07:07:48 UTC
Some assertions (see Bug 38387) need the whole MIME message and not just some headers of the message.

As storing the whole MIME message may become a memory issue for some test scenarios, add a flag in the MailReaderSampler to enable/disable this.
Comment 1 Armin Häberling 2008-06-23 08:43:02 UTC
Created attachment 22164 [details]
Patch for the MailReaderSampler


Created a patch that adds a storeMimeMessage property to the MailReaderSampler.
If it is set, then the each child sampler result will store the MIME representation of the message in the responseData field.
Comment 2 Sebb 2008-06-26 19:17:51 UTC
Thanks for the patch.

Applied (with minor tweaks) in SVN:

URL: http://svn.apache.org/viewvc?rev=672077&view=rev
Log:
Bug 45200 - MailReaderSampler: store the whole MIME message in the SamplerResult